Subject: Re: linux-next: Signed-off-by missing for commit in the net tree

From: Marc Kleine-Budde <[email-masked]>
Date: Thu, 14 Nov 2019 09:25:21 +0100

On 11/13/19 9:21 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Commits
> 
>   4a15d574e68a ("can: j1939: warn if resources are still linked on destroy")
>   ddeeb7d4822e ("can: j1939: j1939_can_recv(): add priv refcounting")
>   8d7a5f000e23 ("can: j1939: transport: j1939_cancel_active_session(): use hrtimer_try_to_cancel() instead of hrtimer_cancel()")
>   62ebce1dc1fa ("can: j1939: make sure socket is held as long as session exists")
>   d966635b384b ("can: j1939: transport: make sure the aborted session will be deactivated only once")
>   fd81ebfe7975 ("can: j1939: socket: rework socket locking for j1939_sk_release() and j1939_sk_sendmsg()")
>   c48c8c1e2e81 ("can: j1939: main: j1939_ndev_to_priv(): avoid crash if can_ml_priv is NULL")
>   25fe97cb7620 ("can: j1939: move j1939_priv_put() into sk_destruct callback")
>   975987e7015b ("can: af_can: export can_sock_destruct()")
> 
> are missing a Signed-off-by from their committer.

Ouch! Sorry my fault.

> Dave, since your trees are immutable, you are really going to have to
> do some premerge checking for these ... I have attached the scripts I
> use.  Others have some git hooks which do something similar.

I'll integrate this script into mine.

regard.
Marc

-- 
Pengutronix e.K.                 | Marc Kleine-Budde           |
Embedded Linux                   | https://www.pengutronix.de  |
Vertretung West/Dortmund         | Phone: +49-231-2826-924     |
Amtsgericht Hildesheim, HRA 2686 | Fax:   +49-5121-206917-5555 |